Skip to main content
GET
Fetch document

Authorizations

X-API-KEY
string
header
required

Path Parameters

document_id
string
required

The unique 32-character MD5 hex identifier for the document (e.g., 776769957735667D2F01F695EF4F1231).

Pattern: ^[A-F0-9]{32}$
Example:

"776769957735667D2F01F695EF4F1231"

Response

An object with a url and a web_content field is returned. When web_content is true, the returned document contains a direct link to the original web page in addition to the full analytics.

url
string<uri>
required

When you access the URL, you receive the complete document in JSON format with the structure: document (metadata), content (title and body blocks) and analytics (document-level metrics, events array, entities array). In the case of transcript-style documents, the document metadata includes normalized event context (participants, reporting fields, timestamps_utc). This is available for Factset documents, other providers like Quartr or Third Bridge will be available soon.

Example:

"https://documents.bigdata.com/documents/776769957735667D2F01F695EF4F1231?signature=abc123..."

web_content
boolean

true when is a public URL.

Example:

false

document
object

Returned by URL - Document metadata including source information, timestamps, and details.

content
object

Returned by URL - Document content including title, body blocks, entities, and sentences.

analytics
object

Returned by URL - Document-level analytics, events array, and entities array.

software_versions
object

Returned by URL - Optional pipeline build stamps when present.